Subject: Re: bug#7050: 24.0.50; Feature request: draggable tool bar placement

From: Stephen Berman <[email-masked]>
Date: Sat, 18 Sep 2010 00:52:16 +0200

On Fri, 17 Sep 2010 18:03:16 +0200 Jan Djärv <[email-masked]> wrote:

> Stephen Berman skrev 2010-09-17 17.05:
>> On Fri, 17 Sep 2010 15:37:18 +0200 Jan Djärv<[email-masked]>  wrote:
>>
>>> Stephen Berman skrev 2010-09-16 22.11:
>>>> Now that the Gtk+ tool bar can be positioned along all four frame edges,
>>>> it would be nice if we could do this by dragging the tool bar with the
>>>> mouse.  This is possible e.g. in OpenOffice.org, which also uses Gtk+
>>>> (though perhaps that feature is an add-on, not easily available to
>>>> Emacs?).
>>>
>>> OpenOffice has hijacked the handle normally used for detaching.  So we can
>>> have one or the other, but I think both would be difficult.
>>
>> Well, in OpenOffice the tool bar is both draggable and
>> detachable... (but I have no idea how they do it).
>>
>
> Is it?  I can't detach it in my Openoffice.

In mine (specifically, oowriter), when I start to drag the tool bar, a
box with a thick border appears; as long as it stays outside the text
area, it snaps to whatever edge I stop pressing mouse-1 at, and the tool
bar then appears at that edge, attached to the main window (frame).  But
if I drag the box into the text area, the border becomes thin, and when
I release mouse-1 here, the tool bar appears detached from the main
window.  I have Openoffice 3.1.1 from openSUSE 11.2, which is "created
by Novell, Inc., base on Openoffice.org", so maybe this is an added
feature.

Steve Berman